Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.tree
Interface ConfigurationNodeVisitor

All Known Implementing Classes:
  ConfigurationNodeVisitorAdapter, HierarchicalConfiguration.CloneVisitor, HierarchicalConfiguration.DefinedKeysVisitor, HierarchicalConfiguration.DefinedVisitor

    public interface ConfigurationNodeVisitor

Definition of a Visitor interface for a configuration node structure.

The `ConfigurationNode` interface defines a `visit()`, which simplifies traversal of a complex node hierarchy. A configuration node implementation must provide a way of visiting all nodes in the current hierarchy. This is a typical application of the GoF Visitor pattern.

Since:
  1.3
Author:
  Oliver Heger
See Also:
  `ConfigurationNode`

Method Summary
`boolean` | `terminate()` Returns a flag whether the actual visit process should be aborted.
`void` | `visitAfterChildren(ConfigurationNode node)` Visits the specified node.
`void` | `visitBeforeChildren(ConfigurationNode node)` Visits the specified node.

Method Detail

### visitBeforeChildren

    void visitBeforeChildren(ConfigurationNode node)

  Visits the specified node. This method is called before eventually existing children of this node are processed.

  Parameters:
    `node` - the node to be visited

### visitAfterChildren

    void visitAfterChildren(ConfigurationNode node)

  Visits the specified node. This method is called after eventually existing children of this node have been processed.

  Parameters:
    `node` - the node to be visited

### terminate

    boolean terminate()

  Returns a flag whether the actual visit process should be aborted. This method allows a visitor implementation to state that it does not need any further data. It may be used e.g. by visitors that search for a certain node in the hierarchy. After that node was found, there is no need to process the remaining nodes, too.

  Returns:
    a flag if the visit process should be stopped

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 The Apache Software Foundation. All Rights Reserved.